%define url_ver %(echo %{version} | cut -d "." -f -2)

Summary:	Pitivi non linear video editor under Linux
Name:		pitivi
Version: 	0.92
%define subrel	1
Release: 	%mkrel 4
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:		pitivi-0.92-linkage.patch
License:	LGPLv2+
Group:		Video/Editors and Converters
URL:		http://www.pitivi.org
BuildRequires:	pkgconfig(python)
BuildRequires:	pkgconfig(pycairo)
BuildRequires:	pkgconfig(cairo)
BuildRequires:	desktop-file-utils
BuildRequires:	intltool
BuildRequires:	itstool
BuildRequires:	libxml2-utils
Requires:	librsvg2
Requires:	python-gi >= 2.90.2
Requires:	python-gi-cairo
Requires:	python-numpy
Requires:	frei0r
Requires:	python-dbus
Requires:	xdg-utils
Requires:	gnonlin >= 1.1.90
Requires:	gstreamer1.0-python
Suggests:	gstreamer1.0-libav

%description
Non Linear Video Editor using the popular GStreamer media framework.

%prep
%setup -q
%apply_patches

# install python files to %%python_sitelib/pitivi
find . -name Makefile.am -exec sed -i -e 's|$(libdir)/pitivi/python/pitivi|$(pkgpythondir)|g' {} \;
find . -name Makefile.in -exec sed -i -e 's|$(libdir)/pitivi/python/pitivi|$(pkgpythondir)|g' {} \;

%build
%configure2_5x \
	--disable-static
%make

%install
%makeinstall_std

# we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name} --with-help

%files -f %{name}.lang
%doc AUTHORS NEWS RELEASE
%{python_sitelib}/%{name}/
%{_datadir}/pitivi/
%{_datadir}/appdata/pitivi.appdata.xml
%{_bindir}/pitivi
%{_mandir}/man1/%{name}.1*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/mime/packages/%{name}.xml


%changelog
* Sun Oct 26 2014 wally <wally> 0.92-4.1.mga4
+ Revision: 793397
- add missing requires for python-numpy and librsvg2

* Sat Nov 09 2013 wally <wally> 0.92-4.mga4
+ Revision: 550096
- disable static build and drop .la files
- install python files again to %%python_sitelib

* Fri Nov 08 2013 wally <wally> 0.92-3.mga4
+ Revision: 549977
- require python-gi-cairo

* Fri Nov 08 2013 wally <wally> 0.92-2.mga4
+ Revision: 549965
- require gstreamer1.0-python

* Mon Nov 04 2013 fwang <fwang> 0.92-1.mga4
+ Revision: 549385
- fix linkage
- new version 0.92

* Sat Nov 02 2013 fwang <fwang> 0.91-8.mga4
+ Revision: 548840
- add python-gi for requires

* Sat Nov 02 2013 fwang <fwang> 0.91-7.mga4
+ Revision: 548836
- add suggests on libav

* Sat Nov 02 2013 fwang <fwang> 0.91-6.mga4
+ Revision: 548832
- fix typo

* Thu Oct 31 2013 fwang <fwang> 0.91-5.mga4
+ Revision: 548121
- add back gnonlin requires

* Tue Oct 22 2013 fwang <fwang> 0.91-4.mga4
+ Revision: 542476
- update requires

* Mon Oct 21 2013 umeabot <umeabot> 0.91-3.mga4
+ Revision: 540927
- Mageia 4 Mass Rebuild

  + neoclust <neoclust>
    - Fix minimum gnonlin required version

* Thu Oct 10 2013 fwang <fwang> 0.91-1.mga4
+ Revision: 494564
- pkg isn't noarch anymore
- new version 0.91

* Sun Jan 13 2013 umeabot <umeabot> 0.15.2-3.mga3
+ Revision: 377761
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 27 2012 ovitters <ovitters> 0.15.2-2.mga3
+ Revision: 322369
- clean spec
- fix group

* Thu May 03 2012 ovitters <ovitters> 0.15.2-1.mga3
+ Revision: 234681
- new version 0.15.2

* Sat Feb 25 2012 wally <wally> 0.15.1-1.mga2
+ Revision: 214323
- new version 0.15.1

* Wed Sep 28 2011 wally <wally> 0.15.0-1.mga2
+ Revision: 149955
- new version 0.15.0

* Mon Sep 12 2011 fwang <fwang> 0.14.91-1.mga2
+ Revision: 142575
- new version 0.14.91

  + wally <wally>
    - require pyxdg (mdv#64026)
    - require frei0r
    - install python files to %%python_sitelib
    - change suggests to requires
    - clean .spec
    - imported package pitivi


* Sat Aug 13 2011 Götz Waschk <waschk@mandriva.org> 0.14.2-1mdv2012.0
+ Revision: 694414
- update build deps
- new version
- add help

* Mon Jul 11 2011 Götz Waschk <waschk@mandriva.org> 0.14.1-1
+ Revision: 689438
- update to new version 0.14.1

* Wed Jun 01 2011 Götz Waschk <waschk@mandriva.org> 0.14.0-1
+ Revision: 682353
- new version
- drop patch
- update file list
- xz tarball

* Thu May 05 2011 Oden Eriksson <oeriksson@mandriva.com> 0.13.5-5
+ Revision: 667776
- mass rebuild

* Mon Nov 15 2010 Maarten Vanraes <alien@mandriva.org> 0.13.5-4mdv2011.0
+ Revision: 597778
- fixes a crash when using the zoom slider

* Fri Nov 05 2010 Götz Waschk <waschk@mandriva.org> 0.13.5-3mdv2011.0
+ Revision: 593771
- update deps as suggested by Maarten Vanraes

* Mon Nov 01 2010 Götz Waschk <waschk@mandriva.org> 0.13.5-2mdv2011.0
+ Revision: 591472
- rebuild for new python 2.7

* Thu Sep 16 2010 Götz Waschk <waschk@mandriva.org> 0.13.5-1mdv2011.0
+ Revision: 579004
- update to new version 0.13.5

* Sun Sep 12 2010 Götz Waschk <waschk@mandriva.org> 0.13.4.3-1mdv2011.0
+ Revision: 577624
- update to new version 0.13.4.3

* Wed Sep 08 2010 Götz Waschk <waschk@mandriva.org> 0.13.4.2-1mdv2011.0
+ Revision: 576865
- update to new version 0.13.4.2

* Sun Mar 14 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.13.4-2mdv2010.1
+ Revision: 518786
- add missing requires

* Wed Mar 10 2010 Götz Waschk <waschk@mandriva.org> 0.13.4-1mdv2010.1
+ Revision: 517551
- update to new version 0.13.4

* Tue Mar 09 2010 Götz Waschk <waschk@mandriva.org> 0.13.3.2-1mdv2010.1
+ Revision: 517218
- update to new version 0.13.3.2

* Sat Sep 12 2009 Götz Waschk <waschk@mandriva.org> 0.13.3-1mdv2010.0
+ Revision: 438549
- new version
- drop patch
- update gnonlin dep
- update file list

* Thu Aug 13 2009 Frederik Himpe <fhimpe@mandriva.org> 0.13.2-1mdv2010.0
+ Revision: 416100
- update to new version 0.13.2

* Thu Aug 06 2009 Götz Waschk <waschk@mandriva.org> 0.13.1.3-2mdv2010.0
+ Revision: 410554
- update deps

* Wed Aug 05 2009 Frederik Himpe <fhimpe@mandriva.org> 0.13.1.3-1mdv2010.0
+ Revision: 410338
- update to new version 0.13.1.3

* Fri Jul 24 2009 Frederik Himpe <fhimpe@mandriva.org> 0.13.1.2-1mdv2010.0
+ Revision: 399407
- update to new version 0.13.1.2

* Wed May 27 2009 Götz Waschk <waschk@mandriva.org> 0.13.1-1mdv2010.0
+ Revision: 380149
- update to new version 0.13.1

* Sun May 24 2009 Frederik Himpe <fhimpe@mandriva.org> 0.13.0.3-1mdv2010.0
+ Revision: 379302
- Update to new version 0.13.0.3
- Rediff desktop patch

* Thu May 21 2009 Götz Waschk <waschk@mandriva.org> 0.13.0.2-1mdv2010.0
+ Revision: 378315
- new version
- rediff patch 0
- drop patch 1
- update file list
- fix source URL

* Mon Mar 16 2009 Götz Waschk <waschk@mandriva.org> 0.11.3-3mdv2009.1
+ Revision: 355694
- fix bug #48312 (crash on start)

* Sun Dec 28 2008 Götz Waschk <waschk@mandriva.org> 0.11.3-2mdv2009.1
+ Revision: 320489
- rebuild for new python

* Fri Dec 12 2008 Funda Wang <fwang@mandriva.org> 0.11.3-1mdv2009.1
+ Revision: 313550
- new version 0.11.3

* Thu Dec 04 2008 Götz Waschk <waschk@mandriva.org> 0.11.2.2-1mdv2009.1
+ Revision: 309935
- new version
- fix source URL

* Sat Nov 29 2008 Adam Williamson <awilliamson@mandriva.org> 0.11.2-3mdv2009.1
+ Revision: 308108
- require python-pkg-resources not python-setuptools

* Mon Nov 24 2008 Götz Waschk <waschk@mandriva.org> 0.11.2-2mdv2009.1
+ Revision: 306281
- add missing dep on python-pygoocanvas (bug #45964)

* Wed Oct 15 2008 Götz Waschk <waschk@mandriva.org> 0.11.2-1mdv2009.1
+ Revision: 294034
- new version

* Sat Oct 11 2008 Götz Waschk <waschk@mandriva.org> 0.11.1.4-1mdv2009.1
+ Revision: 292351
- fix buildrequires
- new version
- update license

* Fri Aug 01 2008 Thierry Vignaud <tv@mandriva.org> 0.11.1-6mdv2009.0
+ Revision: 259079
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 0.11.1-5mdv2009.0
+ Revision: 246985
- rebuild
- drop old menu

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Tue Jan 08 2008 Götz Waschk <waschk@mandriva.org> 0.11.1-3mdv2008.1
+ Revision: 146369
- add another missing dep
- add missing dep on python-zope-interface (bug #36549)

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Nov 18 2007 Götz Waschk <waschk@mandriva.org> 0.11.1-1mdv2008.1
+ Revision: 109937
- new version

* Sun Oct 14 2007 Götz Waschk <waschk@mandriva.org> 0.11.0-1mdv2008.1
+ Revision: 98330
- new version
- fix desktop entry

* Thu Aug 02 2007 Götz Waschk <waschk@mandriva.org> 0.10.3-2mdv2008.0
+ Revision: 58154
- fix deps

* Thu May 31 2007 Götz Waschk <waschk@mandriva.org> 0.10.3-1mdv2008.0
+ Revision: 33410
- new version

* Mon May 28 2007 Götz Waschk <waschk@mandriva.org> 0.10.2.2-1mdv2008.0
+ Revision: 32132
- new version


* Wed Jan 31 2007 Götz Waschk <waschk@mandriva.org> 0.10.2-1mdv2007.0
+ Revision: 115719
- new version

* Sun Jan 28 2007 Götz Waschk <waschk@mandriva.org> 0.10.1.3-1mdv2007.1
+ Revision: 114481
- new version
- bump deps

* Sat Jan 27 2007 Götz Waschk <waschk@mandriva.org> 0.10.1-1mdv2007.1
+ Revision: 114343
- Import pitivi

* Sat Jan 27 2007 Gtz Waschk <waschk@mandriva.org> 0.10.1-1mdv2007.1
- new source URL
- new version

* Thu Jul 20 2006 Gtz Waschk <waschk@mandriva.org> 0.10.1-1mdv2007.0
- New release 0.10.1

* Fri Jul 07 2006 Gtz Waschk <waschk@mandriva.org> 0.10.0-3mdv2007.0
- xdg menu
- fix buildrequires

* Mon May 22 2006 Gtz Waschk <waschk@mandriva.org> 0.10.0-2mdk
- fix deps

* Sat Apr 29 2006 Gtz Waschk <waschk@mandriva.org> 0.10.0-1mdk
- update file list
- New release 0.10.0

* Thu Feb 02 2006 Gtz Waschk <waschk@mandriva.org> 0.9.9.2-1mdk
- bump deps
- New release 0.9.9.2

* Thu Dec 29 2005 Gtz Waschk <waschk@mandriva.org> 0.9.9.1-1mdk
- gst 0.10
- New release 0.9.9.1
- use mkrel

* Tue Jul 05 2005 Gtz Waschk <waschk@mandriva.org> 0.1.10-3mdk
- fix deps

* Thu Jun 30 2005 Gtz Waschk <waschk@mandriva.org> 0.1.10-2mdk
- fix buildrequires

* Thu Jun 30 2005 Gtz Waschk <waschk@mandriva.org> 0.1.10-1mdk
- this is now noarch
- drop the library package
- fix deps
- New release 0.1.10

* Mon Dec 20 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.1.1-1mdk
- initial package

* Thu Dec 02 2004 root <root@pas-r06p01.pas.epita.fr> - 
- Initial build.

